[MMTK] mpi.h

Konrad Hinsen hinsen@cnrs-orleans.fr
Mon, 6 Nov 2000 19:57:14 +0100


> I am currently installing MMTK with Python 2.0. However, when compiling
> Scientific Python 2.0.1 I get an error message. The mpi.h file can't be
> found. I downloaded ScientificPython-2.0.1.tar.gz and did ./compile as
> described in the README file.

It seems I made a mistake when preparing the 2.0.1 distribution, it was
not supposed to contain the MPI interface at all.

If you do not need the MPI interface, just remove the last line of the
file Src/Setup.in before compiling. If you do need the MPI interface,
use version 2.1.4 of ScientificPython (from
ftp://dirac.cnrs-orleans.fr/pub/ScientificPython/), which has a much
improved (and not 100% compatible) implementation.

Konrad.
-- 
-------------------------------------------------------------------------------
Konrad Hinsen                            | E-Mail: hinsen@cnrs-orleans.fr
Centre de Biophysique Moleculaire (CNRS) | Tel.: +33-2.38.25.56.24
Rue Charles Sadron                       | Fax:  +33-2.38.63.15.17
45071 Orleans Cedex 2                    | Deutsch/Esperanto/English/
France                                   | Nederlands/Francais
-------------------------------------------------------------------------------